// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdUiKitComponents",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdUiKitComponents", targets: ["WebIdUiKitComponentsWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        
    ],
    targets: [
        .binaryTarget(
            name: "WebIdUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4/de/webid-solutions/WebIdUiKitComponents/8.3.2/WebIdUiKitComponents.framework-v8.3.2.zip",
            checksum: "85fdf8bb2068cc1432a5bd2ed2678896de959fbe980ed534c4afaee4d8ccc996"
        ),
        .target(
            name: "WebIdUiKitComponentsWrapper",
            dependencies: [
                .target(name: "WebIdUiKitComponents"),
                // [target dependecies here]
                
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
